Bug 851286 - JBPM-3371 Terminate end event in subprocess must not terminate parent process
JBPM-3371 Terminate end event in subprocess must not terminate parent process
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Maciej Swiderski
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 13:07 EDT by Maciej Swiderski
Modified: 2015-06-01 21:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
According to the BPMN2 specifications, a terminate node, when executed on a sub-process, should only terminate the execution in that sub-process; however, an error occurred in which the entire process instance would terminate. This has been resolved by terminating only the sub-process and allowing the parent process to continue executing.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3371 Major Resolved Terminate end event in subprocess must not terminate parent process 2015-05-25 07:59:55 EDT

  None (edit)
Description Maciej Swiderski 2012-08-23 13:07:27 EDT
Description of problem:
Backport fix from https://issues.jboss.org/browse/JBPM-3371



Version-Release number of selected component (if applicable):
  
Actual results:
terminate end event in subprocess terminates entire process instance

Expected results:
only sub process should be terminated and process instance should continue its normal flow

Additional info:
Comment 1 Maciej Swiderski 2012-08-23 13:36:20 EDT
backported to 5.2.x branch
Comment 2 Jiri Svitak 2012-09-17 11:45:18 EDT
Verified in BRMS 5.3.1 ER1.
Comment 3 Douglas Hoffman 2012-10-21 22:28:51 EDT
Updated information for Release Notes.

Thanks again.

- Doug

Note You need to log in before you can comment on or make changes to this bug.